<?php

    declare(strict_types=1); 
    
    /**
     * @author: Daniel Schmitzer (daschmi@daschmi.de)
     * @date: 14.10.22
     * @time: 14:39
     */
     
    namespace Ds;
	
	abstract class Youtube {
		
		public static /* ?string */ $storage_path = null;
		public static /* ?string */ $storage_url = null;
		public static /* ?int */ $layer_id = 0;
		
		public static function integrate(string $video_id): string {
			
			if (self::$storage_path === null) self::$storage_path = dirname(__FILE__).DIRECTORY_SEPARATOR.'tn_cache';
			if (self::$storage_url === null) self::$storage_url = '/tn_cache/'; 
			
			if (substr(self::$storage_path, -1) !== DIRECTORY_SEPARATOR) self::$storage_path .= DIRECTORY_SEPARATOR;
			if (substr(self::$storage_url, -1) !== '/') self::$storage_url .= DIRECTORY_SEPARATOR;
			
			if (!file_exists(self::$storage_path)) mkdir(self::$storage_path, 0755, true);
			
			if (!file_exists(self::$storage_path.$video_id.'.jpg')) {
		              
		        $img_content = @file_get_contents('https://img.youtube.com/vi/'.$video_id.'/maxresdefault.jpg');
		        
		        if ($img_content === false) {
		            
		            $img_content = @file_get_contents('https://img.youtube.com/vi/'.$video_id.'/hqdefault.jpg');
		                    
		        } 
		        
		        if ($img_content !== false) file_put_contents(self::$storage_path.$video_id.'.jpg', $img_content);
		        
		    } 
			 
			$layer_content = '<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/'.$video_id.'" title="YouTube video player" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>';
			
			ob_start();
			include dirname(__FILE__).DIRECTORY_SEPARATOR.'views'.DIRECTORY_SEPARATOR.'video.phtml';
			$content = ob_get_contents(); ob_end_clean();
			
			self::$layer_id ++;
			
			return $content;
			
		}
		
	}