<?php

    declare(strict_types=1);
    
    /**
     * @author: Daniel Schmitzer (daschmi@daschmi.de)
     * @date: 14.10.22
     * @time: 14:45
     */
     
    namespace Ds;
	
    require_once dirname(__FILE__).DIRECTORY_SEPARATOR.'Youtube.class.php';
 
    \Ds\Youtube::$storage_path = dirname(__FILE__).DIRECTORY_SEPARATOR.'tn_cache'.DIRECTORY_SEPARATOR;
    \Ds\Youtube::$storage_url = '/ds_youtube/tn_cache/';
    
?><!doctype html>

<html lang="en">
<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	
	<title>YouTube DSGVO Konform einbinden - Demoseite</title>
	<meta name="description" content="YouTube DSGVO Konform einbinden - Demoseite" />
	<meta name="author" content="Daniel Schmitzer" />
	
	<meta property="og:title" content="YouTube DSGVO Konform einbinden - Demoseite" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="https://daschmi.de/ds_youtube/demo/" />
	<meta property="og:description" content="YouTube DSGVO Konform einbinden - Demoseite" />

    <link rel="stylesheet" href="assets/css/ds_youtube.css" />
		
</head>

<body>
	
    <h1>YouTube Videos datenschutzkonform einbinden</h1>

    <p>Mit folgendem Script ist es möglich YouTube Videos datenschutzkonform in die Webseite einzubinden. Die Vorschaubilder werden dabei automatisch von YouTube (über den Server) geladen, das Video selbst aber erst nach zustimmung des Nutzers.</p>
    
    <div style="display:flex; justify-content:center; margin-bottom:2rem; width:100%;">
        <div style="max-width:600px; text-align:left; background-color:#DEDEDE; padding:1rem;">
            <ul>
                <li>Einfach zu verwenden</li>
                <li>Kein API Schlüssel erforderlich</li>
                <li>Youtube wird über den Datenschutz-Modus (youtube-nocookie.com) geladen</li>
                <li>Vorschaubilder werden automatisch geladen</li>
                <li>Vorschaubilder werden auf dem Server zwischengespeichert</li>
                <li>Kein Datentransfer an YouTube vom Nutzer ohne Zustimmung</li>
            </ul>
        </div>
    </div>
    
    <h2>Anwendung</h2>
    
    <div style="display:flex; justify-content:center; margin-bottom:2rem; width:100%;">
        <pre>
// Script einbinden
require_once dirname(__FILE__).DIRECTORY_SEPARATOR.'ds_youtube'.DIRECTORY_SEPARATOR.'Youtube.class.php';
            
// URLs / Pfade zum Thumbnail Ordner konfigurieren (muss unterhalb des WebRootes liegen)
\Ds\Youtube::$storage_path = dirname(__FILE__).DIRECTORY_SEPARATOR.'ds_youtube'.DIRECTORY_SEPARATOR.'tn_cache'.DIRECTORY_SEPARATOR;
\Ds\Youtube::$storage_url = '/ds_youtube/tn_cache/';
            
// Einbinden
?&gt;&lt;div class=&quot;grid&quot;&gt;
    &lt;div&gt;&lt;?php echo Youtube::integrate('OepAzzGcz4E'); ?&gt;&lt;/div&gt;
    &lt;div&gt;&lt;?php echo Youtube::integrate('UOGGLUNJ_J0'); ?&gt;&lt;/div&gt;
    &lt;div&gt;&lt;?php echo Youtube::integrate('4CrUClO9bsA'); ?&gt;&lt;/div&gt;
    &lt;div&gt;&lt;?php echo Youtube::integrate('4CkEsPVT4f8'); ?&gt;&lt;/div&gt;
&lt;/div&gt;&lt;?php        
        </pre>
    </div>
    
    <h2>Demo</h2>
    
	<div class="grid">
        <div><?php echo Youtube::integrate('OepAzzGcz4E'); ?></div>
        <div><?php echo Youtube::integrate('UOGGLUNJ_J0'); ?></div>
        <div><?php echo Youtube::integrate('4CrUClO9bsA'); ?></div>
        <div><?php echo Youtube::integrate('4CkEsPVT4f8'); ?></div>
	</div>
    
    <h2>Download</h2>
    
    

    <style>
        
        * { font-family:'Roboto','Arial'; margin:0; padding:0; }
        body { font-size:16px; line-height:150%; padding:1rem; }
        .grid { display:grid; width:100%; row-gap:1rem; column-gap:1rem; grid-template-columns: repeat(1, minmax(0, 1fr)); }
        h1 { text-align:center; font-size:24px; line-height:30px; margin-bottom:2rem; margin-top:2rem; }
        h2 { text-align:center; font-size:18px; line-height:22px; margin-bottom:2rem; margin-top:2rem; }
        p { text-align:center; margin-bottom:2rem; }
        ul { margin:0; padding:0; margin-left:1rem; }
        pre { max-width:1300px; text-align:left; background-color:#DEDEDE; padding:1rem; white-space:pre; font-family:monospace; overflow:auto; }
        
        @media screen and (min-width:600px) {
          
          .grid { grid-template-columns: repeat(2, minmax(0, 1fr)); }
          
        }
        
        @media screen and (min-width:1200px) {
          
          .grid { grid-template-columns: repeat(3, minmax(0, 1fr)); }
          
        }
        
    </style>

    <script src="assets/js/ds_youtube.js"></script>

</body>
</html>